#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kjserrordlg.ui'
**
** Created: 2012-09-09T12:02:53
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kjserrordlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qtextbrowser.h>
#include <ksqueezedtextlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kjserrordlg.ui.h"

/*
 *  Constructs a KJSErrorDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KJSErrorDlg::KJSErrorDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KJSErrorDlg" );
    KJSErrorDlgLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "KJSErrorDlgLayout"); 

    _close = new QPushButton( this, "_close" );

    KJSErrorDlgLayout->addWidget( _close, 4, 2 );

    _clear = new QPushButton( this, "_clear" );

    KJSErrorDlgLayout->addWidget( _clear, 4, 1 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    KJSErrorDlgLayout->addMultiCellWidget( line1, 2, 2, 0, 2 );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    KJSErrorDlgLayout->addMultiCell( spacer1, 3, 4, 0, 0 );

    _errorText = new QTextBrowser( this, "_errorText" );
    _errorText->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 1, _errorText->sizePolicy().hasHeightForWidth() ) );
    _errorText->setTextFormat( QTextBrowser::RichText );

    KJSErrorDlgLayout->addMultiCellWidget( _errorText, 1, 1, 0, 2 );

    _url = new KSqueezedTextLabel( this, "_url" );

    KJSErrorDlgLayout->addMultiCellWidget( _url, 0, 0, 0, 2 );
    languageChange();
    resize( QSize(600, 484).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _clear, SIGNAL( clicked() ), _errorText, SLOT( clear() ) );
    connect( _close, SIGNAL( clicked() ), this, SLOT( hide() ) );

    // tab order
    setTabOrder( _errorText, _close );
    setTabOrder( _close, _clear );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
KJSErrorDlg::~KJSErrorDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KJSErrorDlg::languageChange()
{
    setCaption( tr2i18n( "JavaScript Errors" ) );
    QWhatsThis::add( this, tr2i18n( "This dialog provides you with notification and details of scripting errors that occur on web pages.  In many cases it is due to an error in the web site as designed by its author.  In other cases it is the result of a programming error in Konqueror.  If you suspect the former, please contact the webmaster of the site in question.  Conversely if you suspect an error in Konqueror, please file a bug report at http://bugs.kde.org/.  A test case which illustrates the problem will be appreciated." ) );
    _close->setText( tr2i18n( "&Close" ) );
    _clear->setText( tr2i18n( "C&lear" ) );
    _url->setText( QString::null );
}

/****************************************************************************
** KJSErrorDlg meta object code from reading C++ file 'kjserrordlg.h'
**
** Created: Sun Sep 9 12:02:53 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kjserrordlg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KJSErrorDlg::className() const
{
    return "KJSErrorDlg";
}

QMetaObject *KJSErrorDlg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KJSErrorDlg( "KJSErrorDlg", &KJSErrorDlg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KJSErrorDlg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KJSErrorDlg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KJSErrorDlg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KJSErrorDlg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KJSErrorDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"init", 0, 0 };
    static const QUParameter param_slot_1[] = {
	{ "error", &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"addError", 1, param_slot_1 };
    static const QUParameter param_slot_2[] = {
	{ "url", &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_2 = {"setURL", 1, param_slot_2 };
    static const QUMethod slot_3 = {"clear", 0, 0 };
    static const QUMethod slot_4 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "init()", &slot_0, QMetaData::Public },
	{ "addError(const QString&)", &slot_1, QMetaData::Public },
	{ "setURL(const QString&)", &slot_2, QMetaData::Public },
	{ "clear()", &slot_3, QMetaData::Public },
	{ "languageChange()", &slot_4, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KJSErrorDlg", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KJSErrorDlg.setMetaObject( metaObj );
    return metaObj;
}

void* KJSErrorDlg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KJSErrorDlg" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool KJSErrorDlg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init(); break;
    case 1: addError((const QString&)static_QUType_QString.get(_o+1)); break;
    case 2: setURL((const QString&)static_QUType_QString.get(_o+1)); break;
    case 3: clear(); break;
    case 4: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KJSErrorDlg::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KJSErrorDlg::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool KJSErrorDlg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
